/* Theming */
@import url("https://fonts.googleapis.com/css2?family=Poppins:wght@400;700&display=swap");

:root{
    --white: #f9f9f9;
    --black: #36383F;
    --grey: #85888C;
    --green: #96CF8D;
}

/* Reset */
*{
    margin: 0;
    padding: 0;
    box-sizing: border-box;
}

body{
    background-color: var(--white);
    font-family: "Poppins", sans-serif;
}

a{
    text-decoration: none;
}

ul{
    list-style: none;
}

/* Header */
.header{
	background-color: #025E02;
    box-shadow: 1px 1px 5px 0px var(--grey);
    position: sticky;
    top: 0;
    width: 100%;
}

/* Logo */
.logo{
    /*display: inline-block;*/
    /*color: var(--white);*/
    font-size: 40px;
    margin-top: 5px;
    margin-left: 10px;
}

/* Nav menu */
.nav{
    width: 75%;
    height: 100%;
    position: fixed;
  	background-color: var(--black);
    overflow-y: scroll;    
}

.menu a{
    display: block;
    padding-top: 10px;
    padding-right: 20px;
    padding-bottom: 10px;
    padding-left: 20px;
    color: var(--white);
}

.menu a:hover{
    background-color: var(--grey);
}

.nav{
    max-height: 0;
    transition: max-height .5s ease-out;
}

/* Menu Icon */

.hamb{
    cursor: pointer;
    float: right;
    padding-top: 40px;
    padding-right: 30px;
}

.hamb-line {
    background: var(--green);
    display: block;
    height: 4px;
    position: relative;
    width: 32px;
    color: yellow; 
}

.hamb-line::before,
.hamb-line::after{
    background: var(--green);
    content: '';
    display: block;
    height: 100%;
    position: absolute;
    transition: all .2s ease-out;
    width: 100%;
}

.hamb-line::before{
    top: 7px;
}

.hamb-line::after{
    top: -7px;
}

.side-menu {
    display: none;
}

/* Toggle menu icon */

.side-menu:checked ~ nav{
    max-height: 100%;
}

.side-menu:checked ~ .hamb .hamb-line {
    background: transparent;
}

.side-menu:checked ~ .hamb .hamb-line::before {
    transform: rotate(-45deg);
    top:0;

}

.side-menu:checked ~ .hamb .hamb-line::after {
    transform: rotate(45deg);
    top: 0;
}

}
